### Virtual Method

# Ide CodeIndexer index_file_finish

#### Declaration

    IdeCodeIndexEntries*
    index_file_finish (
      IdeCodeIndexer* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to ide_code_indexer_index_file_async().

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeCodeIndexEntries`
| An `IdeCodeIndexEntries` if successful; otherwise `NULL` and `error` is set.
| The caller of the function takes ownership of the data, and is responsible for freeing it.